# $Id: smeserver-mod_dav.spec,v 1.23 2009/03/02 18:37:23 snetram Exp $
# Authority: snetram
# Name: Jonathan Martens

%define name smeserver-mod_dav
%define version 0.1
%define release 18

Summary: SME Server mod_dav implementation
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}-2.tgz
Patch1: smeserver-mod_dav-0.1-initdb.patch
Patch2: smeserver-mod_dav-0.1-ImplementDAVForIbays.patch
Patch3: smeserver-mod_dav-0.1-FileETagDirective.patch
Patch4: smeserver-mod_dav-0.1-fixTypo.patch
Patch5: smeserver-mod_dav-0.1-fixAuthName.patch
Patch6: smeserver-mod_dav-0.1-fixHttpdErrorWhenDisabled.patch

BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: smeserver-release >= 7 httpd >= 2
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
Implementation of mod_dav for SME Server 7.

%changelog
* Mon Mar 2 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 0.1-18
- Fix missing parenthesis in fix from [SME: 5039]

* Sat Feb 28 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 0.1-17
- Do not set DAVLock when module is disabled and not loaded [SME: 5039]

* Wed Sep 17 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.1-16
- Fix AuthName error in httpd error log when not specified [SME: 4563]

* Sun Aug 24 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.1-15
- Create DAVLocks DB directory, remove lock file creating routine as this 
  is done by the mod_dav module [SME: 4517]

* Sun Aug 24 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.1-14
- Create DAVLocks DB directory, fixing privileges [SME: 4517]

* Sat Aug 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.1-13
- Create DAVLocks DB directory, fixing case [SME: 4517]

* Sat Aug 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.1-12
- Create DAVLocks DB directory [SME: 4517]

* Thu Aug 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.1-11
- Fix typo in 95Addmod_dav2ibays [SME: 4502]

* Fri Aug  8 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.1-10
- Make FileETag key line out in configuration file properly [SME: 4482]
- Fixing changelog date in previous changelog entry

* Fri Aug  8 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.1-9
- Add database key for implementating FileETag directive, for more information on 
  this key see http://httpd.apache.org/docs/2.0/mod/core.html#fileetag [SME: 4482]

* Sun Mar 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 0.1-8
- Fixed template issue created in 0.1-7 by [SME: 3470]

* Sun Mar 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 0.1-7
- Added WebDAV access to ibays [SME: 3470]

* Mon Feb 25 2008 Shad L. Lords <slords@mail.com> 0.1-6
- Remove scripts and move db initialition to package

* Fri Feb 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 0.1-5
- Removed initialize-default-database from %post macro
- Fixed previous changelog entry to have correct version number

* Wed Feb 06 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 0.1-4
- Fixed httpd-e-smith restart command to use sv -t

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon May 29 2006 Jonathan Martens <jonathan-contribs@snetram.nl>
- 0.1-01
- Original version

%prep

%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
mkdir -p root/var/run/davLocks/

%build

%install
rm -rf %buildroot
(cd root ; find . -depth -print | cpio -dump %buildroot)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist %buildroot \
    --dir /var/run/davLocks 'attr(0755,www,www)' \
    > %{name}-%{version}-filelist

%clean
rm -rf %buildroot

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
